### Method

# Gio Permission acquire_finish

since: 2.26

#### Declaration

    gboolean
    g_permission_acquire_finish (
      GPermission* permission,
      GAsyncResult* result,
      GError** error
    )

#### Description

Collects the result of attempting to acquire the permission represented by `permission`.

This is the second half of the asynchronous version of g_permission_acquire().

Available since: 2.26

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` given to the `GAsyncReadyCallback`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the permission was successfully acquired.